%define module	virtualenv
%define name	python-%{module}
%define version	1.4.9

Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Summary:	Virtual Python Environment builder
Group:		Development/Python
License:	MIT
URL:		http://pypi.python.org/pypi/virtualenv
Source0:	http://pypi.python.org/packages/source/v/virtualenv/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRoot:	%{_tmppath}/%{name}-%{version}
%py_requires -d

%description
virtualenv is a tool to create isolated Python environments.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
%__rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/*.txt
%{_bindir}/*
%{py_sitedir}/*.py
%{py_sitedir}/*.pyc
%{py_sitedir}/*.egg-info
%{py_sitedir}/virtualenv_support/__init__.py
%{py_sitedir}/virtualenv_support/__init__.pyc
%{py_sitedir}/virtualenv_support/distribute-0.6.8.tar.gz
%{py_sitedir}/virtualenv_support/pip-0.7.2.tar.gz
%{py_sitedir}/virtualenv_support/setuptools-0.6c11-py2.6.egg


%changelog
* Fri May 28 2010 Lev Givon <lev@mandriva.org> 1.4.9-1mdv2010.0
+ Revision: 546477
- Update to 1.4.9.

  + Sandro Cazzaniga <kharec@mandriva.org>
    - update to 1.4.5

* Thu Apr 23 2009 Lev Givon <lev@mandriva.org> 1.3.3-1mdv2010.0
+ Revision: 368776
- Update to 1.3.3.
  Patch to not choke on multiarch.

* Tue Dec 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-1mdv2009.1
+ Revision: 321436
- new version
- don't use auto-generated file list
- don't change upstream compression

* Tue Nov 04 2008 Lev Givon <lev@mandriva.org> 1.3-1mdv2009.1
+ Revision: 299869
- Update to 1.3.

* Fri Jun 13 2008 Jérôme Soyer <saispo@mandriva.org> 1.1-1mdv2009.0
+ Revision: 218912
- Remove bindir
- import python-virtualenv


